Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoContractTryAndBuy

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.common.model.IdTitleContractId
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractTryAndBuy

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegogoContractTryAndBuy extends IdTitleContractId
Период Tryinvalid input: '&Buy' договора.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoContractTryAndBuy()`
  `MegogoContractTryAndBuy(int contractId, int idTB, int idSub, Period period, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIdSub()`
  `int`
  `getIdTB()`
  `Period`
  `getPeriod()`
  `int`
  `getUserId()`
  `MegogoContractTryAndBuy`
  `setContractId(int contractId)`
  `void`
  `setIdSub(int idSub)`
  `void`
  `setIdTB(int idTB)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitleContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegogoContractTryAndBuy

    public MegogoContractTryAndBuy()

  - ### MegogoContractTryAndBuy

    public MegogoContractTryAndBuy(int contractId, int idTB, int idSub, Period period, int userId)

- ## Method Details

  - ### setContractId

    public MegogoContractTryAndBuy setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdTitleContractId`

  - ### getIdTB

    public int getIdTB()

  - ### setIdTB

    public void setIdTB(int idTB)

  - ### getIdSub

    public int getIdSub()

  - ### setIdSub

    public void setIdSub(int idSub)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)